Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
datapush::SensorLogPushMessage Struct Reference

Message for pushing one full log record for all sensors. More...

`import <sensorpush.idl;`

## Public Attributes
int | linkId
| Link ID of the Device (always 1 without a Linking Setup)
string | serialNumber
| Device serial number.
string | name
| Device name (user-configurable)
vector< Sensor > | sensors
| List of logged sensors.
vector< LogRow > | rows
| List of log rows.

## Detailed Description

Message for pushing one full log record for all sensors.

Definition at line 73 of file sensorpush.idl.

## Member Data Documentation

## ◆ linkId

int datapush::SensorLogPushMessage::linkId

Link ID of the Device (always 1 without a Linking Setup)

Definition at line 74 of file sensorpush.idl.

## ◆ name

string datapush::SensorLogPushMessage::name

Device name (user-configurable)

Definition at line 76 of file sensorpush.idl.

## ◆ rows

vector<LogRow> datapush::SensorLogPushMessage::rows

List of log rows.

Definition at line 79 of file sensorpush.idl.

## ◆ sensors

vector<Sensor> datapush::SensorLogPushMessage::sensors

List of logged sensors.

Definition at line 78 of file sensorpush.idl.

## ◆ serialNumber

string datapush::SensorLogPushMessage::serialNumber

Device serial number.

Definition at line 75 of file sensorpush.idl.

The documentation for this struct was generated from the following file:

- sensorpush.idl